Generic build script instructions
Bas van Gompel
cygwin-apps.buzz@bavag.tmfweb.nl
Sat Jun 19 06:46:00 GMT 2004
Op Fri, 18 Jun 2004 22:49:11 -0400 (EDT) schreef Igor Pechtchanski
in <Pine.GSO.4.58.0406182245110.3356@slinky.cs.nyu.edu>:
[ask for two separate patches?]
: I think I'd prefer the multiple parameters patch first, with its own
: ChangeLog. That part looks good enough to check in, actually.
Attached.
ChangeLog entry:
2004-06-19 Bas van Gompel <g-b-s-patch.buzz@bavag.tmfweb.nl>
* templates/generic-build-script: Allow multiple arguments.
: As for the
: "ispatch" part, let's discuss the name and the possible functionality (you
: mentioned adding extra), and then it can be an add-on on top of the first
: patch. Frankly, I have reservations about the build script mucking with
: anything outside of the build directory...
See other mail. About the extras I'm not sure what you mean... the
backing up is already implemented (by using ``cp --backup=numbered'').
: Thanks for contributing,
: Igor
hth,
--
) | | ---/ ---/ Yes, this | This message consists of true | I do not
-- | | / / really is | and false bits entirely. | mail for
) | | / / a 72 by 4 +-------------------------------+ any1 but
-- \--| /--- /--- .sigfile. | |perl -pe "s.u(z)\1.as." | me. 4^re
-------------- next part --------------
Index: packaging/templates/generic-build-script
===================================================================
RCS file: /cvs/cygwin-apps/packaging/templates/generic-build-script,v
retrieving revision 1.22
diff -u -p -r1.22 generic-build-script
--- packaging/templates/generic-build-script 31 Mar 2004 00:56:17 -0000 1.22
+++ packaging/templates/generic-build-script 19 Jun 2004 00:32:57 -0000
@@ -312,33 +312,35 @@ checksig() {
echo "You need the gnupg package installed in order to check signatures." ; \
fi
}
-case $1 in
- prep) prep ; STATUS=$? ;;
- mkdirs) mkdirs ; STATUS=$? ;;
- conf) conf ; STATUS=$? ;;
- configure) conf ; STATUS=$? ;;
- reconf) reconf ; STATUS=$? ;;
- build) build ; STATUS=$? ;;
- make) build ; STATUS=$? ;;
- check) check ; STATUS=$? ;;
- test) check ; STATUS=$? ;;
- clean) clean ; STATUS=$? ;;
- install) install ; STATUS=$? ;;
- list) list ; STATUS=$? ;;
- depend) depend ; STATUS=$? ;;
- strip) strip ; STATUS=$? ;;
- package) pkg ; STATUS=$? ;;
- pkg) pkg ; STATUS=$? ;;
- mkpatch) mkpatch ; STATUS=$? ;;
- src-package) spkg ; STATUS=$? ;;
- spkg) spkg ; STATUS=$? ;;
- finish) finish ; STATUS=$? ;;
- checksig) checksig ; STATUS=$? ;;
- first) mkdirs && spkg && finish ; STATUS=$? ;;
- all) checksig && prep && conf && build && install && \
+while test -n "$1" ; do
+ case $1 in
+ prep) prep ; STATUS=$? ;;
+ mkdirs) mkdirs ; STATUS=$? ;;
+ conf) conf ; STATUS=$? ;;
+ configure) conf ; STATUS=$? ;;
+ reconf) reconf ; STATUS=$? ;;
+ build) build ; STATUS=$? ;;
+ make) build ; STATUS=$? ;;
+ check) check ; STATUS=$? ;;
+ test) check ; STATUS=$? ;;
+ clean) clean ; STATUS=$? ;;
+ install) install ; STATUS=$? ;;
+ list) list ; STATUS=$? ;;
+ depend) depend ; STATUS=$? ;;
+ strip) strip ; STATUS=$? ;;
+ package) pkg ; STATUS=$? ;;
+ pkg) pkg ; STATUS=$? ;;
+ mkpatch) mkpatch ; STATUS=$? ;;
+ src-package) spkg ; STATUS=$? ;;
+ spkg) spkg ; STATUS=$? ;;
+ finish) finish ; STATUS=$? ;;
+ checksig) checksig ; STATUS=$? ;;
+ first) mkdirs && spkg && finish ; STATUS=$? ;;
+ all) checksig && prep && conf && build && install && \
strip && pkg && spkg && finish ; \
STATUS=$? ;;
- *) echo "Error: bad arguments" ; exit 1 ;;
-esac
-exit ${STATUS}
-
+ *) echo "Error: bad arguments" ; exit 1 ;;
+ esac
+ ( exit ${STATUS} ) || exit ${STATUS}
+ shift
+done
More information about the Cygwin-apps
mailing list